PrintRangeType (jEdit API Documentation)
Date: 2018-04-10

org.gjt.sp.jedit.print

## Class PrintRangeType

- java.lang.Object
- - javax.print.attribute.IntegerSyntax
  - - org.gjt.sp.jedit.print.PrintRangeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, javax.print.attribute.Attribute, javax.print.attribute.PrintJobAttribute, javax.print.attribute.PrintRequestAttribute

      public class PrintRangeType
      extends javax.print.attribute.IntegerSyntax
      implements javax.print.attribute.PrintRequestAttribute, javax.print.attribute.PrintJobAttribute

  Custom print request attribute to represent a page range type, i.e. all pages, current page, range of pages, just a selection of lines, or only odd or even pages.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PrintRangeType` | `ALL`
    `static PrintRangeType` | `CURRENT_PAGE`
    `static PrintRangeType` | `EVEN`
    `static PrintRangeType` | `ODD`
    `static PrintRangeType` | `RANGE`
    `static PrintRangeType` | `SELECTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrintRangeType(int value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `java.lang.Class<? extends javax.print.attribute.Attribute>` | `getCategory()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class javax.print.attribute.IntegerSyntax

      `getValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALL

          public static PrintRangeType ALL

    - #### ODD

          public static PrintRangeType ODD

    - #### EVEN

          public static PrintRangeType EVEN

    - #### RANGE

          public static PrintRangeType RANGE

    - #### CURRENT_PAGE

          public static PrintRangeType CURRENT_PAGE

    - #### SELECTION

          public static PrintRangeType SELECTION

  - ### Constructor Detail

    - #### PrintRangeType

          public PrintRangeType(int value)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `javax.print.attribute.IntegerSyntax`

    - #### getCategory

          public final java.lang.Class<? extends javax.print.attribute.Attribute> getCategory()

      Specified by:
        `getCategory` in interface `javax.print.attribute.Attribute`

    - #### getName

          public final java.lang.String getName()

      Specified by:
        `getName` in interface `javax.print.attribute.Attribute`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `javax.print.attribute.IntegerSyntax`